'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgMalaysiaCircled = function SvgMalaysiaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "MalaysiaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#MalaysiaCircled_svg__b)",
    mask: "url(#MalaysiaCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 1h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 4.288h46v3.27H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 7.568h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 10.856h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 14.144h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 17.432h46v3.28H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 20.712h46V24H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 24h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 27.288h46v3.27H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 30.568h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 33.856h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 37.144h46v3.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C00",
    d: "M1 40.432h46v3.28H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M1 43.712h46V47H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#006",
    d: "M1 1h23v26.288H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FC0",
    d: "m15.914 9.356.431 2.92 1.653-2.444-.898 2.812 2.56-1.492-2.02 2.157 2.946-.234-2.758 1.07 2.758 1.05-2.947-.224 2.021 2.156-2.551-1.5.88 2.83-1.653-2.453-.43 2.92-.423-2.92-1.653 2.444.89-2.821-2.552 1.5 2.012-2.156-2.947.224 2.758-1.06-2.749-1.069 2.947.234-2.021-2.157 2.551 1.492-.898-2.821 1.662 2.452.431-2.928zm-2.399.116a5.11 5.11 0 0 0-6.558 2.237 5.112 5.112 0 0 0 4.087 7.53 5.1 5.1 0 0 0 2.471-.423 5.75 5.75 0 1 1 0-9.344"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "MalaysiaCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgMalaysiaCircled;
